$tabs-border-bottom-color: $border !default
$tabs-border-bottom-style: solid !default
$tabs-border-bottom-width: 1px !default
$tabs-link-color: $text !default
$tabs-link-hover-border-bottom-color: rgba(black, .2) !default
$tabs-link-hover-color: $text-strong !default
$tabs-link-active-border-bottom-color: $primary !default
$tabs-link-active-color: $primary !default
$tabs-link-padding: 0.5em 1em !default

$tabs-boxed-link-radius: $radius !default
$tabs-boxed-link-hover-background-color: $background !default
$tabs-boxed-link-hover-border-bottom-color: $border !default

$tabs-boxed-link-active-background-color: $white !default
$tabs-boxed-link-active-border-color: $border !default
$tabs-boxed-link-active-color: $primary !default
$tabs-boxed-link-active-border-bottom-color: transparent !default

$tabs-toggle-link-border-color: $border !default
$tabs-toggle-link-border-style: solid !default
$tabs-toggle-link-border-width: 1px !default
$tabs-toggle-link-hover-background-color: $background !default
$tabs-toggle-link-hover-border-color: $border-hover !default
$tabs-toggle-link-radius: $radius !default
$tabs-toggle-link-active-background-color: $link !default
$tabs-toggle-link-active-border-color: $link !default
$tabs-toggle-link-active-color: $link-invert !default

.#{$namespace}-tabs
  +block
  +overflow-touch
  +unselectable
  align-items: stretch
  display: flex
  font-size: $size-normal
  justify-content: space-between
  overflow: hidden
  overflow-x: auto
  white-space: nowrap
  margin-bottom: 0
  a
    align-items: center
    border-bottom-color: transparent
    border-bottom-style: $tabs-border-bottom-style
    border-bottom-width: 3px
    text-decoration: none
    color: $tabs-link-color
    display: flex
    justify-content: center
    margin-bottom: -#{$tabs-border-bottom-width}
    padding: $tabs-link-padding
    border-top: 3px solid transparent
    vertical-align: top
    &:hover
      border-bottom-color: $tabs-link-hover-border-bottom-color
      border-bottom-width: 3px
      color: $tabs-link-hover-color
    &[disabled]
      color: rgba($tabs-link-color, .4) !important
  li
    display: block
    &.is-active
      a
        border-bottom-color: $tabs-link-active-border-bottom-color
        border-bottom-width: 3px
        color: $tabs-link-active-color
  ul
    align-items: center
    border-bottom-color: $tabs-border-bottom-color
    border-bottom-style: $tabs-border-bottom-style
    border-bottom-width: $tabs-border-bottom-width
    display: flex
    flex-grow: 1
    flex-shrink: 0
    justify-content: flex-start
    &.is-left
      padding-right: 0.75em
    &.is-center
      flex: none
      justify-content: center
      padding-left: 0.75em
      padding-right: 0.75em
    &.is-right
      justify-content: flex-end
      padding-left: 0.75em      
  .#{$namespace}-icon
    &:first-child
      margin-right: 0.25em
    &:last-child
      margin-left: 0.25em
  // Alignment
  &.is-centered
    ul
      justify-content: center
  &.is-right
    ul
      justify-content: flex-end
  &.is-stacked
    ul
      a
        flex-direction: column
        .#{$namespace}-icon
          &:first-child
            margin-right: 0

  // Styles
  &.is-boxed
    background-color: nth($blue-grey-lighten, 5)
    a
      border: 1px solid transparent
      border-radius: 0
      border-top: 3px solid transparent
      border-bottom-width: 0
      color: $text
      transition: $speed $easing
      padding: .4em 1em .5em
      &:hover
        background-color: rgba(black, .1)
        border-bottom-color: $tabs-boxed-link-hover-border-bottom-color
    li
      &.is-active
        a
          background-color: $tabs-boxed-link-active-background-color
          border-color: $tabs-boxed-link-active-border-color
          border-top-color: $primary
          border-width: 3px 0 0 0
          // margin-bottom: -1px
          color: $text
          &.is-success
            border-top-color: $success
          &.is-danger
            border-top-color: $danger
      &:first-child
        a
          border-left: 0
      &:last-child
        a
          border-right: 0
  &.is-fullwidth
    li
      flex-grow: 1
      flex-shrink: 0
  &.is-toggle
    a
      // border-color: $tabs-toggle-link-border-color
      // border-style: $tabs-toggle-link-border-style
      border-width: 0
      color: $secondary
      font-weight: $weight-semibold
      background-color: rgba($blue-grey ,.05)
      box-shadow: inset 0 2px 0 rgba(black, .1)
      margin-bottom: 0
      position: relative
      &:hover
        background-color: rgba($blue-grey, .1)
    li
      & + li
        // margin-left: -#{$tabs-toggle-link-border-width}
      &:first-child a
        border-radius: $tabs-toggle-link-radius 0 0 $tabs-toggle-link-radius
      &:last-child a
        border-radius: 0 $tabs-toggle-link-radius $tabs-toggle-link-radius 0
      &.is-active
        a
          background-color: $tabs-toggle-link-active-background-color
          box-shadow: none
          border-width: 0
          color: $tabs-toggle-link-active-color
          z-index: 1
    ul
      border-bottom: none
    &.is-toggle-rounded
      li
        a
          border: none
          padding-left: 1.25em
          padding-right: 1.25em
          span
            z-index: 1
          &:before
            content: ''
            position: absolute
            left: 0
            top: 0
            width: calc(100% + 1px)
            height: 100%
            transition: $speed $easing
            // border-color: $tabs-toggle-link-border-color
            // border-style: $tabs-toggle-link-border-style
            // border-width: $tabs-toggle-link-border-width
          &:after
            content: ''
            transition: $speed $easing
          &:hover
            background-color: rgba($blue-grey, .05)
            &:before
              background-color: rgba($blue-grey, .1)
              border-radius: $radius-rounded
            &:after
        &:not(:first-child)
          a
            &:before
              border-left-color: transparent
        &:not(:last-child)
          a
            &:before
              border-right-color: transparent
        &:first-child a
          border-top-left-radius: $radius-rounded
          border-bottom-left-radius: $radius-rounded
        &:last-child a
          border-top-right-radius: $radius-rounded
          border-bottom-right-radius: $radius-rounded
        &.is-active
          a
            background-color: rgba($blue-grey, .05)
            box-shadow: inset 0 2px 0 rgba(black, .1)
            color: $white
            &:after
              content: ''
              position: absolute
              border-top-left-radius: $radius-rounded
              border-top-right-radius: $radius-rounded
              border-bottom-left-radius: $radius-rounded
              border-bottom-right-radius: $radius-rounded
              background-color: $link
              top: 0
              left: 0
              width: 100%
              height: 100%
  // Sizes
  &.is-small
    font-size: $size-small
  &.is-medium
    font-size: $size-medium
  &.is-large
    font-size: $size-large

.#{$namespace}-tab-content
  // padding-top: 1rem